## linux-nexus4 3.4.0-2.3

=== drivers/coresight/Makefile ===

obj-$(CONFIG_OF) += of_coresight.o
obj-$(CONFIG_MSM_QDSS) += coresight.o coresight-tmc.o coresight-tpiu.o coresight-etb.o coresight-funnel.o coresight-replicator.o coresight-stm.o coresight-etm.o

=== drivers/tty/Makefile ===
obj-y				+= tty_io.o n_tty.o tty_ioctl.o tty_ldisc.o \
				   tty_buffer.o tty_port.o tty_mutex.o
obj-$(CONFIG_LEGACY_PTYS)	+= pty.o
obj-$(CONFIG_UNIX98_PTYS)	+= pty.o
obj-$(CONFIG_AUDIT)		+= tty_audit.o
obj-$(CONFIG_MAGIC_SYSRQ)	+= sysrq.o
obj-$(CONFIG_N_HDLC)		+= n_hdlc.o
obj-$(CONFIG_N_GSM)		+= n_gsm.o
obj-$(CONFIG_N_SMUX)		+= n_smux.o
obj-$(CONFIG_N_SMUX_LOOPBACK)	+= smux_test.o smux_loopback.o
obj-$(CONFIG_SMUX_CTL)		+= smux_ctl.o
obj-$(CONFIG_TRACE_ROUTER)	+= n_tracerouter.o
obj-$(CONFIG_TRACE_SINK)	+= n_tracesink.o
obj-$(CONFIG_R3964)		+= n_r3964.o

obj-y				+= vt/
obj-$(CONFIG_HVC_DRIVER)	+= hvc/
obj-y				+= serial/

# tty drivers
obj-$(CONFIG_AMIGA_BUILTIN_SERIAL) += amiserial.o
obj-$(CONFIG_BFIN_JTAG_COMM)	+= bfin_jtag_comm.o
obj-$(CONFIG_CYCLADES)		+= cyclades.o
obj-$(CONFIG_ISI)		+= isicom.o
obj-$(CONFIG_MOXA_INTELLIO)	+= moxa.o
obj-$(CONFIG_MOXA_SMARTIO)	+= mxser.o
obj-$(CONFIG_NOZOMI)		+= nozomi.o
obj-$(CONFIG_ROCKETPORT)	+= rocket.o
obj-$(CONFIG_SYNCLINK_GT)	+= synclink_gt.o
obj-$(CONFIG_SYNCLINKMP)	+= synclinkmp.o
obj-$(CONFIG_SYNCLINK)		+= synclink.o
obj-$(CONFIG_PPC_EPAPR_HV_BYTECHAN) += ehv_bytechan.o

obj-y += ipwireless/

=== sound/soc/msm/Makefile ===
# MSM CPU/CODEC DAI Support
snd-soc-msm-dai-objs := msm-dai.o
obj-$(CONFIG_SND_MSM_DAI_SOC) += snd-soc-msm-dai.o

snd-soc-msm7kv2-dai-objs := msm7kv2-dai.o
obj-$(CONFIG_SND_MSM7KV2_DAI_SOC) += snd-soc-msm7kv2-dai.o

# MSM Platform Support
snd-soc-msm-objs := msm-pcm.o msm7k-pcm.o
obj-$(CONFIG_SND_MSM_SOC) += snd-soc-msm.o

snd-soc-msmv2-objs := msm7kv2-dsp.o msm7kv2-pcm.o
obj-$(CONFIG_SND_MSM7KV2_SOC) += snd-soc-msmv2.o

# MSM Machine Support
snd-soc-msm7k-objs := msm7201.o
obj-$(CONFIG_SND_MSM_SOC_MSM7K) += snd-soc-msm7k.o

snd-soc-msm7kv2-objs := msm7x30.o
obj-$(CONFIG_SND_MSM_SOC_MSM7KV2) += snd-soc-msm7kv2.o

# 8660 ALSA Support
snd-soc-msm8x60-dai-objs := msm8x60-dai.o
obj-$(CONFIG_SND_SOC_MSM8X60_DAI) += snd-soc-msm8x60-dai.o

snd-soc-msm8x60-pcm-objs := msm8x60-pcm.o
obj-$(CONFIG_SND_SOC_MSM8X60_PCM) += snd-soc-msm8x60-pcm.o

snd-soc-msm8x60-objs := msm8x60.o
obj-$(CONFIG_SND_SOC_MSM8X60) += snd-soc-msm8x60.o


#MVS Support
snd-soc-msm-mvs-dai-objs := mvs-dai.o
obj-$(CONFIG_SND_MSM_MVS_DAI_SOC) += snd-soc-msm-mvs-dai.o

snd-soc-msm-mvs-objs := msm-mvs.o
obj-$(CONFIG_SND_MVS_SOC) += snd-soc-msm-mvs.o

# 8660 ALSA Support
snd-soc-lpass-objs := lpass-i2s.o lpass-dma.o
obj-$(CONFIG_SND_SOC_MSM8660_LPAIF) += snd-soc-lpass.o

snd-soc-lpass-pcm-objs := lpass-pcm.o
obj-$(CONFIG_SND_SOC_LPASS_PCM) += snd-soc-lpass-pcm.o

#8660 VOIP Driver Support

snd-soc-msm-voip-objs := msm-voip.o
obj-$(CONFIG_SND_VOIP_PCM) += snd-soc-msm-voip.o

snd-soc-lpass-dma-objs := lpass-dma.o
obj-$(CONFIG_SND_SOC_MSM8X60) += snd-soc-lpass-dma.o

# for MSM 8960 sound card driver

obj-$(CONFIG_SND_SOC_MSM_QDSP6_INTF) += qdsp6/

snd-soc-qdsp6-objs := msm-dai-q6.o msm-pcm-q6.o msm-multi-ch-pcm-q6.o msm-lowlatency-pcm-q6.o msm-pcm-routing.o msm-dai-fe.o msm-compr-q6.o msm-dai-stub.o
obj-$(CONFIG_SND_SOC_MSM_QDSP6_HDMI_AUDIO) += msm-dai-q6-hdmi.o
obj-$(CONFIG_SND_SOC_VOICE) += msm-pcm-voice.o msm-pcm-voip.o
snd-soc-qdsp6-objs += msm-pcm-lpa.o msm-pcm-afe.o
obj-$(CONFIG_SND_SOC_QDSP6) += snd-soc-qdsp6.o

snd-soc-msm8960-objs := msm8960.o apq8064.o msm8930.o mpq8064.o
obj-$(CONFIG_SND_SOC_MSM8960) += snd-soc-msm8960.o

# Generic MSM drivers
snd-soc-hostless-pcm-objs := msm-pcm-hostless.o
obj-$(CONFIG_SND_SOC_MSM_HOSTLESS_PCM) += snd-soc-hostless-pcm.o

snd-soc-msm8660-apq-objs := msm8660-apq-wm8903.o
obj-$(CONFIG_SND_SOC_MSM8660_APQ) += snd-soc-msm8660-apq.o

# for MDM 9615 sound card driver
snd-soc-mdm9615-objs := mdm9615.o
obj-$(CONFIG_SND_SOC_MDM9615) += snd-soc-mdm9615.o

# for MSM 8974 sound card driver
obj-$(CONFIG_SND_SOC_MSM_QDSP6V2_INTF) += qdsp6v2/
snd-soc-msm8974-objs := msm8974.o
obj-$(CONFIG_SND_SOC_MSM8974) += snd-soc-msm8974.o

snd-soc-qdsp6v2-objs := msm-dai-fe.o msm-dai-stub.o
obj-$(CONFIG_SND_SOC_QDSP6V2) += snd-soc-qdsp6v2.o

=== debian/changelog ===
linux-nexus4 (3.4.0-2.3) raring; urgency=low

  [ Colin King ]

  * Revert "trace: Modify timer_start and irq_handler_entry trace events."
    - LP: #1180394
  * remove CONFIG_NO_ERROR_ON_MISMATCH check
    - LP: #1180394

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 15 May 2013 07:59:43 -0600

linux-nexus4 (3.4.0-1.2) raring; urgency=low

  [ Seth Forshee ]

  * [Config] CONFIG_STRICT_MEMORY_RWX=n
  * [Config] Enable options for function tracing
  * [Config] CONFIG_DEBUG_RODATA=n
    These config changes enable FTRACE functionality.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Apr 2013 14:14:50 -0600

linux-nexus4 (3.4.0-0.1) raring; urgency=low

  * Initial revision based on git://phablet.ubuntu.com/CyanogenMod/lge-kernel-mako.git phablet-10.1

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Mar 2013 08:51:54 -0600

linux-nexus4 (3.4.0-0.0) UNRELEASED; urgency=low

  * Dummy entry

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 27 Feb 2013 11:55:02 -0700

=== debian/control ===
Source: linux-nexus4
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.8.4.0
Build-Depends: debhelper (>= 5), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), makedumpfile [amd64 i386], device-tree-compiler [powerpc], libelf-dev, binutils-dev, rsync, libdw-dev, python-dev
Build-Depends-Indep: xmlto, docbook-utils, ghostscript, transfig, bzip2, sharutils, asciidoc
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: git://kernel.ubuntu.com/ubuntu/ubuntu-nexus7.git

Package: linux-headers-3.4.0-2
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
#Provides: linux-nexus4-headers, linux-nexus4-headers-2.6
Description: Header files related to Linux kernel version 3.4.0
 This package provides kernel header files for version 3.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-nexus4-headers-3.4.0-2/debian.README.gz for details


Package: linux-image-3.4.0-2-nexus4
Architecture: armhf
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: 
Suggests: fdutils, linux-nexus4-doc-3.4.0 | linux-nexus4-source-3.4.0, linux-nexus4-tools
Description: Linux kernel image for version 3.4.0 on Nexus 4
 This package contains the Linux kernel image for version 3.4.0 on
 Nexus 4.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Nexus 4 processors.
 .
 Nexus 4 phone
 .
 You likely do not want to install this package directly. Instead, install
 the linux-nexus4 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-3.4.0-2-nexus4
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0), linux-headers-3.4.0-2, ${shlibs:Depends}
Description: Linux kernel headers for version 3.4.0 on Nexus 4
 This package provides kernel header files for version 3.4.0 on
 Nexus 4.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-nexus4-headers-3.4.0-2/debian.README.gz for details.

Package: linux-image-3.4.0-2-nexus4-dbgsym
Architecture: armhf
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 3.4.0 on Nexus 4
 This package provides a kernel debug image for version 3.4.0 on
 Nexus 4.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.
